use std::{fs::File, io::{BufReader, BufRead}};


pub fn load_input(filepath: &str) -> Result<Vec<String>, Box<dyn std::error::Error>> {
    let file = File::open(filepath)?;

    let reader = BufReader::new(file);

    let mut result: Vec<String> = vec![];

    for line in reader.lines() {
        result.push(line?);
    }

    Ok(result)
}